"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getGenerator = void 0;
const graphql_transformer_core_1 = require("@aws-amplify/graphql-transformer-core");
const rds_generator_1 = require("./rds-generator");
const ddb_generator_1 = require("./ddb-generator");
const getGenerator = (dbType) => {
    switch (dbType) {
        case graphql_transformer_core_1.POSTGRES_DB_TYPE:
            return new rds_generator_1.RDSRelationalResolverGenerator();
        case graphql_transformer_core_1.MYSQL_DB_TYPE:
            return new rds_generator_1.RDSRelationalResolverGenerator();
        default:
            return new ddb_generator_1.DDBRelationalResolverGenerator();
    }
};
exports.getGenerator = getGenerator;
//# sourceMappingURL=generator-factory.js.map